%define sourcedir CVS
%define pkg kdesupport

%define rhsupport kdesupport-redhat-2.0
%define omit  --without-libjpeg --without-libgif --without-libgdbm  --without-audiofile
%define extrareq libungif libjpeg >= 6b-5 gdbm rpm >= 2.5 audiofile >= 0.1.9 qt >= 2.2.0-0.4.beta2
Name: %{pkg}2
Summary: K Desktop Environment - Support Libraries
Version: 1.93
Release: 3
Epoch: 6
Source: ftp://ftp.kde.org/pub/kde/{sourcedir}/%{pkg}-%{version}.tar.bz2
Source1: %{rhsupport}.tar.bz2
Source3: desktopconv.tar.bz2
Source4: kde-skel.tar.bz2
Group: System Environment/Libraries
Copyright: LGPL/GPL
BuildRoot: /var/tmp/%{pkg}-buildroot
Requires: %{extrareq}
Prereq: /sbin/ldconfig
Prefix: /usr/lib/kde2

%package devel
Group: Development/Libraries
Summary: Header files and documentation for KDE Support Libraries
Requires: qt-devel >= 2.2.0-0.4.beta2, %{name} = %{version}

%description devel
This package includes some header files you will need to compile
applications for KDE.

%description
Support Libraries for the K Desktop Environment, but not part of it.

Libraries included are: QwSpriteField, js (javascript), uulib, mimelib,
and rdb.  Extra KDE initialization files geared especially for Red Hat
Linux systems are also included.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{pkg}-%{version}

# extra scripts for redhat
%setup -q -n %{pkg}-%{version} -T -D -a 1 -a 3
make -f Makefile.cvs

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi
CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG" CFLAGS="$RPM_OPT_FLAGS -DNDEBUG" \
./configure --prefix=%{prefix} \
	--disable-path-check %{omit} --enable-final
make -j $CPUS
make -j $CPUS CFLAGS="$FLAGS" -C desktopconv

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
install -m755 desktopconv/desktopconv $RPM_BUILD_ROOT%{prefix}/bin
chmod a+x $RPM_BUILD_ROOT%{prefix}/lib/*
[ ! -e $RPM_BUILD_ROOT%{prefix}/lib/libmimelib.so ] && ln -s libmimelib.so.1 $RPM_BUILD_ROOT%{prefix}/lib/libmimelib.so

# edit the redhat scripts to use %{prefix}
cd $RPM_BUILD_DIR/%{pkg}-%{version}/scripts
for file in * ; do
    if [ -f $file ] ; then
	sed -e "s.@KDEPREFIX@.%{prefix}.g" $file > ../$file
    fi
done
cd ..

# install the default user configuration files
#mv etc/skel/kde etc/skel/.kde
#cp -a $RPM_BUILD_DIR/kdesupport/share/config \
#	etc/skel/.kde/share
#cp -a  $RPM_BUILD_DIR/kdesupport/etc $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/etc/skel
#(
#  cd $RPM_BUILD_ROOT//etc/skel
#  tar Ivxf %{SOURCE4}
#)

# we ignore the share stuff, for now

#install initialization scripts.
#install -d $RPM_BUILD_ROOT/etc/profile.d
#install -c -m 0755 $RPM_BUILD_DIR/kdesupport/kde.sh \
#	$RPM_BUILD_ROOT/etc/profile.d/kde.sh
#install -c -m 0755 $RPM_BUILD_DIR/kdesupport/kde.csh \
#	$RPM_BUILD_ROOT/etc/profile.d/kde.csh

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{pkg}

#%triggerpostun -- kdesupport < 1.1.3
#%{prefix}/bin/desktopconv &>/dev/null

%post
if [ -f /etc/ld.so.conf ]; then
	grep -q '%{prefix}/lib' /etc/ld.so.conf || \
	echo "%{prefix}/lib" >> /etc/ld.so.conf
else
	echo "%{prefix}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ $1 = 0 ]; then
	if ! [ -d %{prefix}/lib ] ; then
	mv /etc/ld.so.conf /etc/ld.so.conf.orig
	grep -v '^%{prefix}/lib$' /etc/ld.so.conf.orig > /etc/ld.so.conf
	rm /etc/ld.so.conf.orig
	/sbin/ldconfig
	fi
fi

%files
%defattr(-,root,root)
%{prefix}/lib/*.so.*
%{prefix}/bin/*
# %config /etc/skel/.kde
# %config /etc/skel/Desktop
# %config /etc/profile.d/*

%files devel
%defattr(-,root,root)
%{prefix}/lib/*.la
%{prefix}/lib/*.so
%{prefix}/include/*

%changelog
* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new Qt

* Tue Aug 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- get rid of the QwSpritefield.so symlink (the library doesn't exist anymore)

* Mon Aug 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93
- get rid of kde-qt-addon

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current (I fixed the libGL detection issue there)

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to /usr/lib/kde2
- new snapshot
- remove all configuration stuff for now (needs to be done in main kdesupport)

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild

* Tue Jul 25 2000 Than Ngo <than@redhat.de>
- add preconfiguration to KDE2

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Thu Jul 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, new Qt
- some fixes to spec file

* Mon Jul 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add kpanel->kicker support to desktopconv
- get rid of the broken .kderc in /etc/skel
- new snapshot

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use egcs++
- new snapshot

* Thu Jun 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move *.so and *.la to -devel
- Use a real file list rather than autogenerating it

* Thu Jun 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move *.so and *.la to -devel

* Tue Jun 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- argh, fix a stupid typo in the spec file

* Tue Jun 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move Desktop files to .kde/Desktop
- add desktopconv (converter from KDE 1.1.x ~/Desktop to 2.0 ~/.kde/Desktop)
  and run it in %%triggerpostun
- update
- source /etc/profile.d/qt.sh rather than hardcoding QTDIR

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current
- work around compiler bugs on ia64

* Tue Apr  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add kde-qt-addons
- Don't compile audiofile, we have that in a separate package

* Tue Oct 12 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshot
- split into kdesupport and -devel
- fix handling of RPM_OPT_FLAGS
- Redo the redhat-support files for 2.0
- --enable-final

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- fix up kde.sh and kde.csh scripts for relocatibility
- put docs under %{prefix}/doc/kde

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- updated templates from kdebase

* Mon Sep 07 1999 Preston Brown <pbrown@redhat.com>
- packaged 1.1.2 release

* Mon Jul 11 1999 Preston Brown <pbrown@redhat.com>
- fixed broken kde.csh startup script.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- quite a few bugfixes and the latest snapshot

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- updated some of the default configuration information
- made the printer icon use klpq not lpr

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- stop warning message at installation time if ld.so.conf nonexistent

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- fixed substitution of KDEPREFIX in shell scripts

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- snapshot from stable tree, improvements

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.
- removed installation of /etc/skel/.Xclients.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgrade to KDE 1.1 final.

* Tue Jan 05 1998 Preston Brown <pbrown@redhat.com>
- again, integrated changes from Duncan Haldane
